package com.uoc.educationalVG.utils;

import com.uoc.educationalVG.framework.Music;
import com.uoc.educationalVG.framework.Pixmap;
import com.uoc.educationalVG.framework.Sound;

/**
 * Audio and graphical assets
 * @author "Beginning Android 4 Games Development"
 * @author (adapted by Sergi Colina)
 */
public class Assets {
	private static Pixmap background;

	private static Pixmap exercise01intro, exercise02intro, exercise03intro,
			exercise04intro, exercise05intro, exercise07intro;

	private static Pixmap exercise01game, exercise02game, exercise03game,
			exercise04agame, exercise04bgame, exercise04cgame, exercise05game,
			exercise06game0, exercise06game1, exercise07game;
	private static Pixmap mainMenuScreen, introScreen, howToScreen,
			finalScoreScreen, highScoresScreen;
	private static Pixmap treasure0Screen, treasure200Screen,
			treasure300Screen, treasure400Screen, treasure500Screen,
			treasure600Screen, treasure700Screen, treasure800Screen,
			treasure900Screen, treasure1000Screen;
	private static Pixmap buttons, continueButton;
	private static Pixmap numbers, numbers2, numbersDigital;
	private static Pixmap ok, ok110;
	private static Pixmap notOk, notOk110;
	private static Pixmap puntuacio, temps;
	private static Pixmap bonus110, bravo;

	private static Sound click, wrong, correct, outOfBounds, bonus, gameOver;
	private static Sound splash, star, house;
	private static Music exitmusic, pirateSong, hesAPirate;
	
	// Pixmaps

	public static Pixmap getButtons() {
		return buttons;
	}

	public static void setButtons(Pixmap buttons) {
		Assets.buttons = buttons;
	}

	public static Pixmap getContinueButton() {
		return continueButton;
	}

	public static void setContinueButton(Pixmap continueButton) {
		Assets.continueButton = continueButton;
	}

	public static Pixmap getNumbers() {
		return numbers;
	}

	public static void setNumbers(Pixmap numbers) {
		Assets.numbers = numbers;
	}

	public static Pixmap getOk() {
		return ok;
	}

	public static void setOk(Pixmap ok) {
		Assets.ok = ok;
	}

	public static Pixmap getOk110() {
		return ok110;
	}

	public static void setOk110(Pixmap ok110) {
		Assets.ok110 = ok110;
	}

	public static Pixmap getNotOk() {
		return notOk;
	}

	public static void setNotOk(Pixmap notOk) {
		Assets.notOk = notOk;
	}

	public static Pixmap getNotOk110() {
		return notOk110;
	}

	public static void setNotOk110(Pixmap notOk110) {
		Assets.notOk110 = notOk110;
	}

	public static Pixmap getNumbersDigital() {
		return numbersDigital;
	}

	public static void setNumbersDigital(Pixmap numbersDigital) {
		Assets.numbersDigital = numbersDigital;
	}

	public static Pixmap getPuntuacio() {
		return puntuacio;
	}

	public static void setPuntuacio(Pixmap puntuacio) {
		Assets.puntuacio = puntuacio;
	}

	public static Pixmap getTemps() {
		return temps;
	}

	public static void setTemps(Pixmap temps) {
		Assets.temps = temps;
	}

	public static Pixmap getBonus110() {
		return bonus110;
	}

	public static void setBonus110(Pixmap bonus1) {
		Assets.bonus110 = bonus1;
	}

	public static Pixmap getBravo() {
		return bravo;
	}

	public static void setBravo(Pixmap bravo) {
		Assets.bravo = bravo;
	}

	public static Pixmap getNumbers2() {
		return numbers2;
	}

	public static void setNumbers2(Pixmap numbers2) {
		Assets.numbers2 = numbers2;
	}

	public static Pixmap getBackground() {
		return background;
	}

	public static void setBackground(Pixmap background) {
		Assets.background = background;
	}

	public static Pixmap getHighScoresScreen() {
		return highScoresScreen;
	}

	public static void setHighScoresScreen(Pixmap highScoresScreen) {
		Assets.highScoresScreen = highScoresScreen;
	}

	public static Pixmap getIntroScreen() {
		return introScreen;
	}

	public static void setIntroScreen(Pixmap introScreen) {
		Assets.introScreen = introScreen;
	}

	public static Pixmap getHowToScreen() {
		return howToScreen;
	}

	public static void setHowToScreen(Pixmap howToScreen) {
		Assets.howToScreen = howToScreen;
	}

	public static Pixmap getMainMenuScreen() {
		return mainMenuScreen;
	}

	public static void setMainMenuScreen(Pixmap mainMenuScreen) {
		Assets.mainMenuScreen = mainMenuScreen;
	}

	public static Pixmap getTreasure0Screen() {
		return treasure0Screen;
	}

	public static void setTreasure0Screen(Pixmap treasure0Screen) {
		Assets.treasure0Screen = treasure0Screen;
	}

	public static Pixmap getTreasure200Screen() {
		return treasure200Screen;
	}

	public static void setTreasure200Screen(Pixmap treasure200Screen) {
		Assets.treasure200Screen = treasure200Screen;
	}

	public static Pixmap getTreasure300Screen() {
		return treasure300Screen;
	}

	public static void setTreasure300Screen(Pixmap treasure300Screen) {
		Assets.treasure300Screen = treasure300Screen;
	}

	public static Pixmap getTreasure400Screen() {
		return treasure400Screen;
	}

	public static void setTreasure400Screen(Pixmap treasure400Screen) {
		Assets.treasure400Screen = treasure400Screen;
	}

	public static Pixmap getTreasure500Screen() {
		return treasure500Screen;
	}

	public static void setTreasure500Screen(Pixmap treasure500Screen) {
		Assets.treasure500Screen = treasure500Screen;
	}

	public static Pixmap getTreasure600Screen() {
		return treasure600Screen;
	}

	public static void setTreasure600Screen(Pixmap treasure600Screen) {
		Assets.treasure600Screen = treasure600Screen;
	}

	public static Pixmap getTreasure700Screen() {
		return treasure700Screen;
	}

	public static void setTreasure700Screen(Pixmap treasure700Screen) {
		Assets.treasure700Screen = treasure700Screen;
	}

	public static Pixmap getTreasure800Screen() {
		return treasure800Screen;
	}

	public static void setTreasure800Screen(Pixmap treasure800Screen) {
		Assets.treasure800Screen = treasure800Screen;
	}

	public static Pixmap getTreasure900Screen() {
		return treasure900Screen;
	}

	public static void setTreasure900Screen(Pixmap treasure900Screen) {
		Assets.treasure900Screen = treasure900Screen;
	}

	public static Pixmap getTreasure1000Screen() {
		return treasure1000Screen;
	}

	public static void setTreasure1000Screen(Pixmap treasure1000Screen) {
		Assets.treasure1000Screen = treasure1000Screen;
	}

	public static Pixmap getFinalScoreScreen() {
		return finalScoreScreen;
	}

	public static void setFinalScoreScreen(Pixmap finalScoreScreen) {
		Assets.finalScoreScreen = finalScoreScreen;
	}

	public static Pixmap getExercise01intro() {
		return exercise01intro;
	}

	public static void setExercise01intro(Pixmap exercise01intro) {
		Assets.exercise01intro = exercise01intro;
	}

	public static Pixmap getExercise02intro() {
		return exercise02intro;
	}

	public static void setExercise02intro(Pixmap exercise02intro) {
		Assets.exercise02intro = exercise02intro;
	}

	public static Pixmap getExercise03intro() {
		return exercise03intro;
	}

	public static void setExercise03intro(Pixmap exercise03intro) {
		Assets.exercise03intro = exercise03intro;
	}

	public static Pixmap getExercise04intro() {
		return exercise04intro;
	}

	public static void setExercise04intro(Pixmap exercise04intro) {
		Assets.exercise04intro = exercise04intro;
	}

	public static Pixmap getExercise05intro() {
		return exercise05intro;
	}

	public static void setExercise05intro(Pixmap exercise05intro) {
		Assets.exercise05intro = exercise05intro;
	}

	public static Pixmap getExercise01game() {
		return exercise01game;
	}

	public static void setExercise01game(Pixmap exercise01game) {
		Assets.exercise01game = exercise01game;
	}

	public static Pixmap getExercise02game() {
		return exercise02game;
	}

	public static void setExercise02game(Pixmap exercise02game) {
		Assets.exercise02game = exercise02game;
	}

	public static Pixmap getExercise03game() {
		return exercise03game;
	}

	public static void setExercise03game(Pixmap exercise03game) {
		Assets.exercise03game = exercise03game;
	}

	public static Pixmap getExercise04agame() {
		return exercise04agame;
	}

	public static void setExercise04agame(Pixmap exercise04agame) {
		Assets.exercise04agame = exercise04agame;
	}

	public static Pixmap getExercise04bgame() {
		return exercise04bgame;
	}

	public static void setExercise04bgame(Pixmap exercise04bgame) {
		Assets.exercise04bgame = exercise04bgame;
	}

	public static Pixmap getExercise04cgame() {
		return exercise04cgame;
	}

	public static void setExercise04cgame(Pixmap exercise04cgame) {
		Assets.exercise04cgame = exercise04cgame;
	}

	public static Pixmap getExercise05game() {
		return exercise05game;
	}

	public static void setExercise05game(Pixmap exercise05game) {
		Assets.exercise05game = exercise05game;
	}

	public static Pixmap getExercise06game0() {
		return exercise06game0;
	}

	public static void setExercise06game0(Pixmap exercise06game0) {
		Assets.exercise06game0 = exercise06game0;
	}

	public static Pixmap getExercise06game1() {
		return exercise06game1;
	}

	public static void setExercise06game1(Pixmap exercise06game1) {
		Assets.exercise06game1 = exercise06game1;
	}

	public static Pixmap getExercise07intro() {
		return exercise07intro;
	}

	public static void setExercise07intro(Pixmap exercise07intro) {
		Assets.exercise07intro = exercise07intro;
	}

	public static Pixmap getExercise07game() {
		return exercise07game;
	}

	public static void setExercise07game(Pixmap exercise07game) {
		Assets.exercise07game = exercise07game;
	}

	// Sounds

	public static Sound getClick() {
		return click;
	}

	public static void setClick(Sound click) {
		Assets.click = click;
	}

	public static Sound getWrong() {
		return wrong;
	}

	public static void setWrong(Sound wrong) {
		Assets.wrong = wrong;
	}

	public static Sound getCorrect() {
		return correct;
	}

	public static void setCorrect(Sound correct) {
		Assets.correct = correct;
	}

	public static Sound getGameOver() {
		return gameOver;
	}

	public static void setGameOver(Sound gameOver) {
		Assets.gameOver = gameOver;
	}

	public static Sound getSplash() {
		return splash;
	}

	public static void setSplash(Sound splash) {
		Assets.splash = splash;
	}

	public static Music getExitmusic() {
		return exitmusic;
	}

	public static void setExitmusic(Music exitmusic) {
		Assets.exitmusic = exitmusic;
	}

	public static Music getPirateSong() {
		return pirateSong;
	}

	public static void setPirateSong(Music pirateSong) {
		Assets.pirateSong = pirateSong;
	}

	public static Music getHesAPirate() {
		return hesAPirate;
	}

	public static void setHesAPirate(Music hesAPirate) {
		Assets.hesAPirate = hesAPirate;
	}

	public static Sound getBonus() {
		return bonus;
	}

	public static void setBonus(Sound bonus) {
		Assets.bonus = bonus;
	}

	public static Sound getOutOfBounds() {
		return outOfBounds;
	}

	public static void setOutOfBounds(Sound outOfBounds) {
		Assets.outOfBounds = outOfBounds;
	}

	public static Sound getStar() {
		return star;
	}

	public static void setStar(Sound star) {
		Assets.star = star;
	}

	public static Sound getHouse() {
		return house;
	}

	public static void setHouse(Sound house) {
		Assets.house = house;
	}

}
